This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 199104 - unzip has not been compiled with large file support and cannot unzip files > 2G
unzip has not been compiled with large file support and cannot unzip files > 2G
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: unzip (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
: 236312 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-17 05:47 EDT by clive darra
Modified: 2013-04-12 04:34 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2007-0203
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clive darra 2006-07-17 05:47:52 EDT
Description of problem:
unzip has not been compiled with large file support and cannot unzip files > 2G

Version-Release number of selected component (if applicable):
RHEL 3 & RHEL 4

How reproducible:
ALWAYS

Steps to Reproduce:
1. get a 850M zip file that SHOULD unzip to 2.8G 
for example http://www.foresightlinux.com/ vmware vmdk downloaded from
http://www.rpath.org/rbuilder/project/foresight/release?id=3584 [^]
2. unzip bigfile.zip
  
Actual results:
OUT OF DISK SPACE ERROR


Expected results:
All 2.8G should be unzipped with no error

Additional info:
In the unzip unix makefile find the section begining

# Linux on 386 platform, using the assembler replacement for crc32.c. (-O4 and
# -fno-strength-reduce have virtually no effect beyond -O3. Add "-m486
# -malign-functions=2 -malign-jumps=2 -malign-loops=2" for Pentium [Pro]
# systems.)
linux: unix_make

then find the line
         CF="-O3 -Wall -I. -DASM_CRC $(LOC)"\

and replace it with
         CF="-O3 -Wall -I. -DASM_CRC -DLARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
$(LOC)"\

ALREADY FIXED in rPath and Ubuntu distros
this seems to have been fixed in rPath and ubuntu

http://www.rpath.com/rbuilder/repos/rpath/troveInfo?t=unzip:source [^]

rPath Linux
Repository Browser

Trove information for unzip:source

        Trove name: unzip:source
        Change log:

                Tue Feb 7 12:54:20 2006 by Matt Wilson (http://bugs.rpath.com/) [^]
                build unzip with -DLARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
Comment 4 RHEL Product and Program Management 2006-08-18 11:08:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Ivana Varekova 2007-04-13 04:17:32 EDT
*** Bug 236312 has been marked as a duplicate of this bug. ***
Comment 13 Red Hat Bugzilla 2007-05-01 13:05:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0203.html
Comment 15 Peter Edwards 2007-08-15 09:39:35 EDT
The original bug mentions RHEL3 and RHEL4.
The advisory only mentions RHEL4.
Any plans to release an update for RHEL3?
Comment 18 Frank Deng 2009-04-16 05:21:52 EDT
RHEL5 x86 also has this bug, could you please fix and update for RHEL5?
Comment 19 Ivana Varekova 2009-04-16 06:53:32 EDT
Hello, please could you create a separate by for RHEL5.
Comment 20 Dan Bolser 2009-05-27 10:26:37 EDT
Some time this year would be nice.
Comment 21 Neil Doane 2009-05-27 10:47:30 EDT
FYI, the RHEL 5 version of this BZ appears to be here:
https://bugzilla.redhat.com/show_bug.cgi?id=497482

Note You need to log in before you can comment on or make changes to this bug.